import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
/**
 * This hook subscribes to the acceleration event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithUseAccelerationSubscription}
 *
 * @example
```ts
useAccelerationSubscription({
  deep,
  containerLinkId
})
```
 */
export declare function useAccelerationSubscription(param: UseAccelerationSubscriptionParam): void;
export interface UseAccelerationSubscriptionParam {
    /**
     * A Deep client instance
     */
    deep: DeepClient;
    /**
     * A container link id
     */
    containerLinkId: number;
}
