import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
/**
 * This hook subscribes to the orientation event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithUseOrientationSubscription}
 *
 * @exaple
```ts
useOrientationSubscription({
   deep,
   containerLinkId
})
```
 */
export declare function useOrientationSubscription(param: UseOrientationSubscriptionParam): void;
export interface UseOrientationSubscriptionParam {
    /**
     * A Deep client instance
     */
    deep: DeepClient;
    /**
     * A container link id
     */
    containerLinkId: number;
}
