import { SubscribeToMotionChangesParam } from './subscribe-to-motion-changes-param.js';
/**
 * Subscribes to acceleration changes and saves them
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Acceleration data is saved by using {@link getMotionValueUpdateSerialOperations} with {@link GetMotionInsertSerialOperationsParam.containerLinkId} set to {@link SubscribeToMotionChangesParam.deviceLinkId}
 *
 * @example
```ts
#### Subscribe to acceleration changes
```ts
const accelerationHandler = await subscribeToAccelerationChanges({
  deep,
  deviceLinkId,
});
```
```
 */
export declare function subscribeToAccelerationChanges({ deep, deviceLinkId, }: SubscribeToMotionChangesParam): Promise<import("@capacitor/core").PluginListenerHandle>;
