import { SubscribeToMotionChangesParam } from './subscribe-to-motion-changes-param.js';
/**
 * Subscribes to orientation changes and saves them
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Orientation data is saved by using {@link getMotionValueUpdateSerialOperations} with {@link GetMotionInsertSerialOperationsParam.containerLinkId} set to {@link SubscribeToMotionChangesParam.deviceLinkId}
 *
 * @example
```ts
#### Subscribe to orientation changes
```ts
const newOrientationHandler = await subscribeToOrientationChanges({
  deep,
  deviceLinkId,
});
```
```
 */
export declare function subscribeToOrientationChanges({ deep, deviceLinkId, }: SubscribeToMotionChangesParam): Promise<import("@capacitor/core").PluginListenerHandle>;
